#!/bin/bash
#
# This script is a workaround for buggy Qt qmake's "make dist".
# It creates a tarball (tar.bz2) as it's standardized in unix/linux OSS world.
#

# try to obtain app version
VERSION=`grep setApplicationVersion core/application.cpp | sed 's/.*\"\(.*\)\".*/\1/' `
echo "Packaging version: ${VERSION}"

TMP=ptbatterysystemtray-${VERSION}

echo "Creating a dist tree in: ${TMP}"
rm -rf ${TMP}
mkdir ${TMP}
cp -r AUTHORS ChangeLog LICENCE NEWS ptbatterysystemtray.* README core gui main.cpp ${TMP}

echo "Tarball: ${TMP}.tar.bz2"
tar -cjf ${TMP}.tar.bz2 ${TMP}

echo "Cleanup..."
rm -rf ${TMP}

echo "Done."

